# Interface AutomaticCircleBridge<N, P, C>

#### Type Parameters

- #### N extends Network

- #### P extends Platform

- #### C extends Chain = PlatformToChains<P>

#### Hierarchy

- AutomaticCircleBridge

- Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:23
- Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:56

#####
Index

### Methods

getRelayerFee
transfer

## Methods

### getRelayerFee

- getRelayerFee(destination): Promise<bigint>

- #### Parameters

  - ##### destination: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Returns Promise<bigint>

  - Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:57

### transfer

- transfer(sender, recipient, amount, nativeGas?): AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### recipient: ChainAddress

  - ##### amount: bigint

  - ##### `Optional` nativeGas: bigint

  #### Returns AsyncGenerator<UnsignedTransaction<N, C>, any, unknown>

  - Defined in core/definitions/dist/esm/protocols/circleBridge.d.ts:58

Generated using TypeDoc